#!/usr/bin/perl

## Date and Version
my $version= '1.0';
my $version_date = '24_mai_2012';

##################################################
## Documentation POD
##################################################

##################################################
## Modules
##################################################
## Perl modules
use strict;
use warnings;
use diagnostics;

# BioPerl modules
use Bio::SeqIO;

##################################################
## Main code
##################################################

my $file = $ARGV[0];
my $contigs = $file . ".contigs";
my $singlets = $file . ".singlets";

# Creation of an output stream
my $SeqIO_out_object_contigs = Bio::SeqIO->new( -format => "fasta", -file => ">$contigs" );
my $SeqIO_out_object_singlets = Bio::SeqIO->new( -format => "fasta", -file => ">$singlets" );

# Concatenate all input files into a single output file
my $SeqIO_in_object = Bio::SeqIO->new( -file=> $file , -format => "fasta" );
	
while (my $Current_Sequence = $SeqIO_in_object->next_seq()) {
	
	if ($Current_Sequence =~ /[Contig|contig]/)
	{
		$SeqIO_out_object_contigs->write_seq($Current_Sequence);
	}
	else
	{
		$SeqIO_out_object_singlets->write_seq($Current_Sequence);
	}
}
